diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index ccdf9e6..1f563cd 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -59143,14 +59143,14 @@ MatrixLinearAlgebraFunctions(R,Row,Col,M):Exports == Implementation where
              -- elementary operation of second kind: add to row i--
                          -- a*row j  (i^=j) --
     elRow2!(m : M,a:R,i:I,j:I) : M ==
-      vec:= map(a*#1,row(m,j))
+      vec:= map((r1:R):R +-> a*r1,row(m,j))
       vec:=map("+",row(m,i),vec)
       setRow!(m,i,vec)
       m
              -- elementary operation of second kind: add to column i --
                            -- a*column j (i^=j) --
     elColumn2!(m : M,a:R,i:I,j:I) : M ==
-      vec:= map(a*#1,column(m,j))
+      vec:= map((r1:R):R +-> a*r1,column(m,j))
       vec:=map("+",column(m,i),vec)
       setColumn!(m,i,vec)
       m
@@ -59244,14 +59244,15 @@ MatrixLinearAlgebraFunctions(R,Row,Col,M):Exports == Implementation where
         nullSpace y == nullSpace(y)$IMATLIN
       else
         nullSpace y ==
-          [map(#1, v)$FLA2 for v in nullSpace(map(#1, y)$MAT2)$MMATLIN]
+          [map((r1:R):R +-> r1, v)$FLA2
+            for v in nullSpace(map((r2:R):R +-> r2, y)$MAT2)$MMATLIN]
 
     else if R has IntegralDomain then
-      QF      ==> Fraction R
-      Row2    ==> Vector QF
-      Col2    ==> Vector QF
-      M2      ==> Matrix QF
-      IMATQF  ==> InnerMatrixQuotientFieldFunctions(R,Row,Col,M,QF,Row2,Col2,M2)
+      QF     ==> Fraction R
+      Row2   ==> Vector QF
+      Col2   ==> Vector QF
+      M2     ==> Matrix QF
+      IMATQF ==> InnerMatrixQuotientFieldFunctions(R,Row,Col,M,QF,Row2,Col2,M2)
 
       nullSpace m == nullSpace(m)$IMATQF
 
diff --git a/changelog b/changelog
index 23a19bc..450f500 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090608 tpd src/axiom-website/patches.html 20090608.01.tpd.patch
+20090608 tpd books/bookvol10.4 MATLIN +-> conversion
 20090607 tpd src/axiom-website/patches.html 20090607.09.tpd.patch
 20090607 tpd src/input/tpieazas001.input add rm of output file
 20090607 tpd src/axiom-website/patches.html 20090607.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index d0dbff6..16ea200 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1495,5 +1495,7 @@ tpieazas001.input fix name of output file<br/>
 bookvol10.4 MCDEN +-> conversion<br/>
 <a href="patches/20090607.09.tpd.patch">20090607.09.tpd.patch</a>
 tpieazas001.input add rm of output file<br/>
+<a href="patches/20090608.01.tpd.patch">20090608.01.tpd.patch</a>
+bookvol10.4 MATLIN +-> conversion<br/>
  </body>
 </html>
